<div id="game-schedule-selector" fxLayout="column">
	<div class="date-selector" fxLayout="row" fxLayoutAlign="space-between center">
		<svg-icon class="arrow-icon" src="{{ environment.iconPath }}chevron-left.svg" [applyCss]="true" (click)="selectPrevDate()"></svg-icon>
		
		<!-- ngbDatepicker popup requires an input so we have to pu it there but hide it via opacity -->
		<input [ngModel]="ngbDatePickerModel" (ngModelChange)="ngbDatepickerModelToDate($event); emitData();" class="datepicker-input" ngbDatepicker #datePickerInput="ngbDatepicker">

		<div class="date-selector-info" fxLayoutGap="10px" (click)="datePickerInput.toggle()" fxLayoutAlign="center center">
			<svg-icon class="calendar-icon" src="{{ environment.iconPath }}calendar.svg" [applyCss]="true"></svg-icon>
			<span class="date typ-subheading-2-bold">{{ gameDate | amDateFormat: 'dddd, MMM DD' }}</span>
			<span class="games-count typ-subheading-2">{{ gamesCount }} Games</span>
		</div>

		<svg-icon class="arrow-icon" src="{{ environment.iconPath }}chevron-right.svg" [applyCss]="true" (click)="selectNextDate()"></svg-icon>
	</div>
</div>